Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.inventory
Class InventoryRecordValue

    java.lang.Object
      |
      +--theory.smart.foundation.SmartValue
            |
            +--theory.smart.axiom.accounting.AccountValue
                  |
                  +--theory.smart.ebusiness.inventory.InventoryRecordValue

public class InventoryRecordValue
extends AccountValue

This represents a virtual storage unit for an item type. It has a reference to the class of item that is stored there and is derived from account. Account is a mechanism for keeping track of the quantity of something and controlling allocation of that something through transactions.

See Also:
  `InventoryRecord`, `InventoryRecordHome`, `InventoryRecord.getInventoryRecordByValue()`, `InventoryRecord.setInventoryRecordByValue(InventoryRecordValue)`, Serialized Form

Field Summary
`SmartHandle` | `item` item [InventoryRecord] <>------> [`theory.smart.ebusiness.item.Item`]
`com.sun.java.util.collections.LinkedList` | `locators` locator (List) [InventoryRecord] <*>------> [`theory.smart.ebusiness.inventory.Locator`] 0..*

Fields inherited from class theory.smart.axiom.accounting.AccountValue
`accountEntries, balances, chargeds, identifier`

Constructor Summary
`protected` | `InventoryRecordValue()` Only get/setInventoryRecordByValue methods are allowed to call this constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### item

    public SmartHandle item

                        item
       [InventoryRecord] <>------> [theory.smart.ebusiness.item.Item]

### locators

    public com.sun.java.util.collections.LinkedList locators

                        locator (List)
       [InventoryRecord] <*>------> [theory.smart.ebusiness.inventory.Locator]
                           0..*

Constructor Detail

### InventoryRecordValue

    protected InventoryRecordValue()

  Only get/setInventoryRecordByValue methods are allowed to call this constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.